Bug Tracker – Bug 333

Silent bfg does not work for opponents

Last modified: 2011-06-12 20:14:04 UTC
Bug 333 - Silent bfg does not work for opponents
Summary: Silent bfg does not work for opponents
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: (old) 0.x Alpha
Hardware: All All
: P2 normal
Assignee: Russell Rice
URL:
Depends on:
Blocks: 424 620
  Show dependency tree
 
Reported: 2007-03-31 21:43 UTC by Albert Brown
Modified: 2011-06-12 20:14 UTC (History)
3 users (show)

See Also:

Attachments

silent bfg fix (5.91 KB, patch)
2008-05-24 07:22 UTC, Russell Rice
Details | Diff
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Brown 2007-03-31 21:43:14 UTC
Though for you your bfg is silenced, it is not for opponents
Comment 1 Denis Lukianov 2008-05-24 07:05:52 UTC
reassigning to russell
Comment 2 Russell Rice 2008-05-24 07:22:26 UTC
Created attachment 109 [details]
silent bfg fix

Here is a fix for the silent bfg.

There are some side effects to this patch, for one you can hear your opponents pick up weapons.
Comment 3 Ralph Vickers 2008-08-06 18:19:55 UTC
Partially fixed at r1069. 

Wall hump silencing works now.

Falling BFG works now as well but you have to press the bfg earlier than you should have to in order to silence it for opponents.
Comment 4 Denis Lukianov 2008-08-13 16:42:50 UTC
has this been fixed as part of bug 503? please test
Comment 5 Ralph Vickers 2008-08-13 16:46:15 UTC
Partially but not completely. Please read my comment posted on August 06th.
Comment 6 HeX_Vulture 2011-05-31 03:49:17 UTC
Me and Dr. Sean think this works properly as of recent revisions. Please test and mark closed Ralphis if you agree.
Comment 7 Ralph Vickers 2011-06-12 20:14:04 UTC
Seems to work as of r2226. Marking fixed